@font-face {
    font-family: myfont;
    src: url(/Oswald-VariableFont_wght.ttf);
}

@import url('https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@100..900&display=swap');

@font-face {
    font-family: playfair;
    src: url(/PlayfairDisplay-VariableFont_wght.ttf);
}

@font-face {
    font-family: inter;
    src: url(/Inter-VariableFont_opsz\,wght.ttf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #fff;
    font-family: inter;
    scroll-behavior: smooth;
    color: #080301;
}

.vertical {
    font-size: 90px;
    font-weight: 100;
    opacity: .5;
}

hr {
    width: 100px;
    color: #181b21;
    margin: 10px 0;
}


/* HEADER SECTION */

header {
    width: 100%;
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 100px;
    z-index: 100000;
    background-color: rgb(255, 255, 255);
    box-shadow: 3px 3px 5px rgba(127, 95, 0, 0.3);
}

.logo {
    position: relative;
    transition: .6s ease-in-out;
    z-index: 100000000;
}

header .logo img {
    height: 80px;
    width: 100%;
}

.nav-links {
    list-style: none;
    display: flex;
}


.nav-links li {
    padding: 0 15px;
    opacity: 1;
    transform: translateX(0);
    transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}


.nav-links a {
    text-decoration: none;
    font-family: "Big Shoulders Display", myfont, serif;
    position: relative;
    transition: 0.6s ease-in-out;
    color: #261B14;
    font-size: 1.0195rem;
    letter-spacing: 1px;
}

.nav-links li a::before {
    content: '';
    position: absolute;
    background: #261B14;
    width: 0;
    height: 1px;
    bottom: -5px;
    left: 0;
    transition: 0.3s ease;
}

.nav-links li a:hover::before {
    width: 50%;
}


.btn:hover {
    color: #fff;
    background: #261B14;
    transition: .5s ease-in-out;
}

/* Burger Menu */

.burger {
    display: none;
    cursor: pointer;
    z-index: 100000000;
}

.burger div {
    width: 25px;
    height: 3px;
    background: #261B14;
    margin: 5px;
    border-radius: 50px;
    transition: 0.3s;
}

/* Responsive */


@media screen and (max-width: 900px) {
    header{
        padding: 20px;
    }
    .nav-links {
        position: absolute;
        right: 0;
        width: 100%;
        height: 100vh;
        gap: 25px;
        padding: 20px 30px;
        background: #ffffff;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        display: none;
        overflow: hidden;
        transition: 0.5s ease-in-out;
        z-index: 10000000;
    }

    .nav-links li {
        opacity: 0;
        transform: translateX(-100%);
        transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
    }

    .btn {
        margin-left: 0;
        margin-top: 50px;
    }

    .burger {
        display: block;
    }

    .nav-active {
        display: flex !important;
    }

    .nav-active li {
        opacity: 1;
        transform: translateX(0);
    }

    /* Adding Delay to each menu item */

    .nav-active li:nth-child(1) {
        transition-delay: 0.2s;
    }

    .nav-active li:nth-child(2) {
        transition-delay: 0.3s;
    }

    .nav-active li:nth-child(3) {
        transition-delay: 0.5s;
    }

    .nav-active li:nth-child(4) {
        transition-delay: 0.7s;
    }


    /* Burger Animation */
    .toggle .line1 {
        transform: rotate(-45deg) translate(-5px, 6px);
    }

    .toggle .line2 {
        opacity: 0;
    }

    .toggle .line3 {
        transform: rotate(45deg) translate(-5px, -6px);
    }
}


/* HERO SECTION */

.pagetitle {
    position: relative;
    width: 100%;
    height: 98vh;
    padding: 50px 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    overflow: hidden;
    isolation: isolate;
    background-color: #0c0f12;
}


.pagetitle::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #020406, #020406bd, transparent);
    opacity: .95;
    z-index: 1;
    overflow: hidden;
}


.pagetitle .titlecontainer {
    position: relative;
    width: 100%;
    display: flex;
    gap: 30px;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    overflow: hidden;
}

.pagetitle .titlecontainer h2 {
    padding-top: 100px;
    font-family: inter;
    font-weight: 600;
    color: #fff9f9;
    font-size: 80px;
    line-height: 50px;
    text-align: left;
    z-index: 10;
}

.pagetitle .titlecontainer h2 span{
    font-size: 40px;
    color: #962d2d;
    font-family: inter, serif;
}

.pagetitle a{
    font-family: "Big Shoulders Display", myfont, serif;
    display: inline-block;
    text-decoration: none;
    text-transform: capitalize;
    background: none;
    color: #ffebeb;
    padding: 10px 40px;
    letter-spacing: 1px;
    user-select: none;
    border: 2px solid #ffebeb;
    border-radius: 5px;
    z-index: 10;
}

.pagetitle img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}



/* servicess */


.values {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 50px 100px;
    gap: 20px;
}

.values::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #0c0f12, #00040ad1);
    mix-blend-mode: multiply;
    opacity: .98;
    z-index: 1;
    overflow: hidden;
}

.values img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}

.creed-wrapper {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
}

.creed {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    color: #fff8f2;
}

.creed img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}

.creed h2 {
    color: #e6e4d7;
    font-family: myfont;
    font-size: 30px;
    margin-bottom: 5px;
    opacity: .9;
    z-index: 10;
}

.creed p {
    margin-bottom: 30px;
}

.creed p,
.creed hr {
    z-index: 10;
}

@media screen and (max-width: 768px) {
    .values {
        padding: 30px;
    }

    .creed-wrapper {
        flex-direction: column;
    }
}


/* INTRO EDITING */


.intro {
    top: 0;
    position: relative;
    width: 100%;
    padding: 0px 100px;
}

.intro::before{
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #fff9f9, #fffafad1);
    opacity: .9;
    z-index: 1;
    overflow: hidden;
}

.intro .intro-heading {
    position: relative;
    padding: 70px 0;
    z-index: 10;
}

.intro .intro-heading .text {
    max-width: 850px;
    font-family: inter;
    font-weight: 700;
    font-size: 40px;
    width: 100%;
    margin-top: 20px;
    color: #7f3030;
}

.intro .intro-heading span {
    display: inline-block;
    background: #7f3030;
    width: 50px;
    height: 2.5px;
}

.intro .intro-heading .motto {
    display: flex;
    align-items: center;
    gap: 15px;
    font-size: 1.2rem;
    font-weight: 500;
    font-family: "Big Shoulders Display", myfont, serif;
    color: #0c0f12;
}

.intro img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}

@media screen and (max-width: 768px) {
    .intro {
        padding: 10px;
    }

    .intro .intro-heading .text {
        font-size: 2rem;
        width: 100%;
        padding-left: 20px;
    }

    .intro .motto {
        margin-left: 20px;
    }
}



/* PROJECTS FEATURE SECTION */

.feature {
    width: 100%;
    padding: 50px 20px;
}


.feature .container {
    display: grid;
    grid-auto-flow: column;
    gap: 1px;
    width: 100%;
    overflow-x: scroll;
}

.feature .container::-webkit-scrollbar {
    height: 3px;
}

.feature .container::-webkit-scrollbar-track {
    background: #9d9c90;
    border-radius: 50px;
}

.feature .container::-webkit-scrollbar-thumb {
    background: #252b33;
    border-radius: 50px;
}

.container-elements {
    position: relative;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    padding: 20px 20px;
    width: 350px;
    height: 480px;
    border-radius: .3rem;
    margin-bottom: 10px;
}

.container-elements::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #010810, #d7e7ff82);
    mix-blend-mode: multiply;
    opacity: .98;
    z-index: 1;
    overflow: hidden;
}

.container-elements>* {
    color: #fafbff;
    z-index: 2;
}

.container .container-elements h2 {
    font-family: "Big Shoulders Display", myfont, serif;
    font-weight: 400;
    letter-spacing: 1px;
    margin-bottom: 10px;
}

.container-elements a,
.serviceprovided {
    font-family: inter, serif;
    position: relative;
    text-decoration: none;
    transition: 0.6s ease-in-out;
    font-size: .8rem;
    letter-spacing: .5px;
    opacity: .7;
}

.container-elements a::after {
    position: absolute;
    content: "\2192";
    margin-left: 10px;
    font-size: .8rem;
    transition: transform 0.3s;
}

.container-elements .projectlocation {
    max-width: 250px;
    margin-bottom: 10px;
}

.container-elements img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}



/* INFO SECTION */

.info {
    display: flex;
    justify-content: space-between;
    padding: 50px 100px;
    gap: 30px;
}

.right,
.left {
    flex: 1;
}

.left h2 {
    max-width: 550px;
    font-size: 40px;
    margin: 30px 0;
    color: #7f3030;
}

.left a {
    gap: 15px;
    font-size: 1.2rem;
    font-weight: 500;
    font-family: "Big Shoulders Display", myfont, serif;
    color: #080301;
    text-decoration: none;
}

.left a::after {
    position: absolute;
    content: "\2192";
    font-family: inter, serif;
    margin-left: 10px;
    font-size: 1.3rem;
    transition: transform 0.3s;
    color: #7f3030;
}

.right{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.right p {
    max-width: 550px;
    line-height: 1.6rem;
}


/* ROW SECTION */


.row {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 80px;
    overflow-x: hidden;
    padding: 100px;
}

.row .imgWrapper {
    overflow: hidden;
    border-radius: .1rem;
}

.row .imgWrapper img {
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
    transition: 0.3s ease-in-out;
    border-radius: .1rem;
}

.row .imgWrapper:hover img {
    transform: scale(1.01);
}

.row .contentWrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}



span.textWrapper {
    font-family: "Big Shoulders Display", myfont, serif;
    display: block;
    font-size: 18px;
    text-transform: capitalize;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    margin-bottom: 20px;
    color: #080301;
}

span.textWrapper span {
    display: inline-block;
    background: #692e2e;
    width: 50px;
    height: 2px;
}

.row .contentWrapper h2 {
    font-family: inter;
    font-size: 30px;
    font-weight: 650;
    color: #7f3030;
    padding-bottom: 20px;
}

.row .contentWrapper p {
    font-size: 1rem;
    line-height: 25px;
    padding-bottom: 25px;
    font-weight: 300;
    letter-spacing: .5px;
    color: #080301;
}

.row .content p {
    display: block;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.contentWrapper .content .motto, .right a{
    position: relative;
    align-items: center;
    gap: 15px;
    font-size: 1.2rem;
    font-weight: 500;
    font-family: "Big Shoulders Display", myfont, serif;
    color: #0c0f12;
    text-decoration: none;
}

.contentWrapper .content .motto::after, .right a::after {
    position: absolute;
    content: "\2192";
    font-family: inter, serif;
    margin-left: 10px;
    font-size: 1.3rem;
    transition: transform 0.3s;
    color: #7f3030;
}


/* INSIGHTS SECTION */


.insights {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 50px 100px;
    gap: 50px;
}

.insights .heading {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}

.insights .box{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    overflow: hidden;
}

.insights .box .card{
    width: 350px;
}

.box .card img{
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: .2rem;
}

.category{
    font-size: 10px;
    padding: 5px 0;
    text-transform: uppercase;
    color: rgb(135, 55, 55);
    letter-spacing: .5px;
}

.title{
    color: #181b21;
    margin-bottom: 10px;
}

.box .card a{
    text-decoration: none;
    color: #252b33;
    font-size: .8rem;
}



@media screen and (max-width: 768px) {

    .info{
        flex-direction: column;
        padding: 50px 20px;
    }

    .feature {
        padding: 50px 20px;
    }

    .row {
        display: flex;
        flex-direction: column;
        padding: 35px 20px;
        gap: 20px;
    }

    .insights{
        padding: 50px 20px;
    }

    .insights .heading p{
        text-align: center;
    }

    .insights .box{
        flex-wrap: wrap;
    }
}




/* FOOTER SECTION */

footer {
    position: relative;
    width: 100%;
    height: 50vh;
    padding: 50px 100px 0px 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    overflow: hidden;
    isolation: isolate;
    background-color: #261b14;
    color: #fff;
}

footer::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #0c0f12, #13241bd1);
    mix-blend-mode: multiply;
    opacity: .98;
    z-index: 1;
    overflow: hidden;
}

footer img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    object-fit: cover;
    z-index: -1;
}

footer .wrapper {
    width: 100%;
    position: relative;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 50px;
    z-index: 10;
}

footer .wrapper .brief,
.information,
.links{
    position: relative;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
    gap: 20px;
}


footer .brief{
    width: 35%;
}

footer .brief  p{
    line-height: 24px;
    font-size: 14px;
}

footer .brief p span a{
    color: brown;
    text-decoration: none;
    font-weight: 600;
}

footer .icons{
    width: 15%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    margin-bottom: 20px;
    gap: 20px;
}

footer .icons .social-icons{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

footer .icons i{
    font-size: 30px;
}

footer .hori{
    display: none;
}

footer .wrapper h2 {
    font-family: "Big Shoulders Display", myfont, serif;
    font-size: 1.2rem;
    font-weight: 400;
    letter-spacing: 1px;
}

footer .information{
    width: 25%;
}

footer .information .details {
    position: relative;
}

footer .information .details li {
    display: flex;
    margin-bottom: 1rem;
}

footer .information .details li span:nth-child(1) {
    color: silver;
    font-size: 20px;
    margin-right: 20px;
}

footer .information .details li span {
    font-size: 14px;
    color: silver;
}

footer .information .details li a {
    font-size: 14px;
    color: silver;
    text-decoration: none;
}

footer .information .details li a:hover {
    color: #fff;
}

footer .links{
    width: 25%;
}

.links ul li {
    text-decoration: none;
    padding-bottom: 10px;
    list-style: none;
}

.links ul li a {
    font-size: 14px;
    text-decoration: none;
    color: #fff;
}

.copyright {
    z-index: 100;
    color: silver;
    font-size: 12px;
}

.copyright a {
    text-decoration: none;
    color: #fff;
}


/* ************************************************************************************************************************** */


/* RESPONSIVENESS */


/* ************************************************************************************************************************** */

@media screen and (max-width: 1024px) {
    footer {
        padding: 50px 30px;
        height: 100%;
    }

    footer .wrapper {
        flex-direction: column;
        gap: 30px;
    }

    footer .wrapper .brief,
    .info,
    .links {
        width: 100%;
    }

    footer .wrapper .vertical{
        display: none;
    }

    footer .hori{
        display: block;
    }

    footer .icons .social-icons{
        flex-direction: row;
    }

    footer .copyright{
        text-align: center;
        margin-top: 10px;
    }
    
}